.shengwang_case_list {
  padding: 80px 0;
  background: linear-gradient(180deg, #F9F9F9 0%, #F5F5F5 100%);
}

.shengwang_case_list_nav_wrapper {
  max-width: 100%;
  /* width: fit-content; */
  overflow-y: auto;
  /* border-radius: 37px;
  border: 2px solid #EBEBEB;
  background: #F8F8F8; */
  margin: 0 auto;
  padding: 12px;
}

.shengwang_case_list_nav_wrapper::-webkit-scrollbar {
  display: none;
}

.shengwang_case_list_nav {
  width: max-content;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 8px;
}

.shengwang_case_list_nav a {
  padding: 10px 24px;
  border-radius: 25px;
  color: #000;
  font-size: 16px;
  font-weight: 400;
  line-height: 150%;
  text-transform: capitalize;
}

.shengwang_case_list_nav a.active,
.shengwang_case_list_nav a:hover {
  background: var(--color-primary);
  color: #fff;
}
.shengwang_case_list_nav .section-title{
  font-family: var(--title-font-family);
    font-size: var(--shengwang-inner-title);
    font-weight: 500;
    line-height: 1.22;
    text-transform: capitalize;
    color: #000000;
    margin: 0 0 10px 0
}
.shengwang_case_list_content_list {
  display: flex;
  flex-wrap: wrap;
  gap: 20px;
  margin-top: 50px;
}

.shengwang_case_list_content_item {
  width: calc((100% - 60px) / 4);
  border-radius: 20px;
  overflow: hidden;
}

.shengwang_case_list_content_item img {
  width: 100%;
  aspect-ratio: 325 / 204;
  object-fit: cover;
}

.shengwang_case_list_content_item_content {
  padding: 24px 12px;
  background: #FFF;
  box-shadow: 0 4px 4px 0 rgba(0, 0, 0, 0.10);
}

.shengwang_case_list_content_item_content_title {
  font-size: 24px;
  font-weight: 600;
  line-height: 1.219;
  color: var(--title-text-color);
  height: calc(40px * 1.5 * 1);
  overflow: hidden;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
}

.shengwang_case_list_content_item_content_desc {
  font-size: 16px;
  font-weight: 300;
  color: #666;
  line-height: 1.4;
  margin-top: 14px;
  height: calc(16px * 1.4 * 6);
  overflow: hidden;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 6;
}
.shengwang-sustainable-item-button {
    display: inline-flex;
    align-items: center;
    gap: 12px;
    padding: 7px 15px;
    margin-top: 10px;
    border-radius: 50px;
    background-color: #014AB1;
    color: #FFFFFF;
    text-decoration: none;
    font-weight: 500;
    font-size: 13.75px;
}

.shengwang_case_list #pagesize {
  margin: 0 !important;
  margin-top: 30px !important;
}

.shengwang_case_list #pagesize ul li a {
  border: none !important;
  background: none !important;
  color: #000 !important;
  padding: 0 !important;
  font-size: 20px;
  font-weight: 500 !important;
  font-family: var(--title-font-family) !important;
}

.shengwang_case_list #pagesize ul li {
  padding: 0 20px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.shengwang_case_list #pagesize ul li a.active {
  background: var(--color-primary) !important;
  color: #fff !important;
  padding: 12px 17px !important;
  border-radius: 50%;
}

.shengwang_case_list #pagesize ul li a:hover {
  color: var(--color-primary) !important;
}

.shengwang_case_list #pagesize ul li a.active:hover {
  color: #fff !important;
}

.shengwang_case_list #pagesize .next,
.shengwang_case_list #pagesize .pre {
  width: 20px;
  height: 20px;
  border: 1px solid #000;
  border-radius: 4px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.shengwang_case_list #pagesize .next:hover,
.shengwang_case_list #pagesize .pre:hover {
  border: 1px solid var(--color-primary) !important;
  background-color: var(--color-primary) !important;
  color: #fff !important;
}

.shengwang_case_list #pagesize .qico {
  font-size: 12px;
  margin-top: 1px;
}


@media screen and (max-width: 1200px) {
  .shengwang_case_list_content_item {
    width: calc((100% - 40px) / 3);
  }
  .shengwang_case_list_content_item_content_title{
    font-size: 20px;
  }
}

@media screen and (max-width: 992px) {
  .shengwang_case_list {
    padding: 50px 0;
  }
  .shengwang_case_list_content_item_content_title{
    font-size: 18px;
    height: calc(15px * 1.5 * 1);
  }
  .shengwang_case_list_content_item {
    width: calc((100% - 20px) / 2);
  }

  .shengwang_case_list_nav_wrapper {
    padding: 6px 10px;
    border-radius: 30px;
  }

  .shengwang_case_list_nav a {
    padding: 6px 16px;
  }

  .shengwang_case_list_content_list {
    margin-top: 20px;
  }
}

@media screen and (max-width: 576px) {
  
  .shengwang_case_list {
    padding: 30px 0;
  }
  .shengwang_case_list_content_item_content {
    padding: 12px;
  }

  .shengwang_case_list_content_item_content_desc {
    margin-top: 6px;
  }
.shengwang-sustainable-item-button {
    padding: 5px 10px;
    margin-top: 5px;
    font-size: 12px;
}
  .shengwang_case_list_content_list {
    gap: 10px;
  }

  .shengwang_case_list_content_item {
    width: calc((100% - 10px) / 2);
  }

  .shengwang_case_list_content_item_content_title {
    font-size: 16px;
    height: calc(30px * 1.4 * 1);
  }

  .shengwang_case_list_content_item_content_desc {
    font-size: 12px;
    height: calc(12px * 1.4 * 4);
    -webkit-line-clamp: 4;
  }
}